# Class ScriptParallelProcessor

java.lang.Object
org.jmol.script.ScriptFunction
org.jmol.script.ScriptParallelProcessor

All Implemented Interfaces:
  `JmolParallelProcessor, JmolScriptFunction`

public class ScriptParallelProcessor extends ScriptFunction implements JmolParallelProcessor

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`counter`
`Error`
`error`

### Fields inherited from class ScriptFunction

`typeName`

## Constructor Summary

Constructors
Constructor
Description
`ScriptParallelProcessor()`
parallel operations

## Method Summary

Modifier and Type
Method
Description
`void`
`addProcess(String name, ScriptContext context)`
`Object`
`getExecutor()`
`void`
`runAllProcesses(Viewer vwr)`

### Methods inherited from class ScriptFunction

`getName, geTokens, getSignature, getTok, set, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface JmolParallelProcessor

`set`

## Field Details

### counter

public volatile int counter

### error

public volatile Error error

## Constructor Details

### ScriptParallelProcessor

public ScriptParallelProcessor()
parallel operations

## Method Details

### getExecutor

public Object getExecutor()

Specified by:
  `getExecutor` in interface `JmolParallelProcessor`

### runAllProcesses

public void runAllProcesses(Viewer vwr)

Specified by:
  `runAllProcesses` in interface `JmolParallelProcessor`

### addProcess

public void addProcess(String name, ScriptContext context)

Specified by:
  `addProcess` in interface `JmolParallelProcessor`